
{ config, pkgs, ... }:

{
    # Let Home Manager install and manage itself.
    programs.home-manager.enable = true;

    # awesome window manager config
    ## xdg will automaticly append /home/USER-NAME/.config/ to the "something".source part of the 
    ## xdg.configFile."something".source = "/etc/nixos/wm/awesome/rc.lua"; config option
    xdg.configFile."awesome/rc.lua".source = "/etc/nixos/wm/awesome/rc.lua";

    # Home Manager needs a bit of information about you and the
    # paths it should manage.
    home.username = "hms";
    home.homeDirectory = "/home/hms";

    # This value determines the Home Manager release that your
    # configuration is compatible with. This helps avoid breakage
    # when a new Home Manager release introduces backwards
    # incompatible changes.
    #
    # You can update Home Manager without changing this value. See
    # the Home Manager release notes for a list of state version
    # changes in each release.
    home.stateVersion = "20.09";
}